Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I'm an on and off user of LaTeX so I'm not familiar with every package out there. Having said that, whenever I use LaTeX and need to accomplish a certain goal (i.e. generate a list of appendices), I search around and find some kind of solution that involves a package that I didn't know about. I think that's great, I learn something new, and it goes in my template file.

Every now and then, though, my search comes up with a package that, after much wrangling, I find out that it's obsolete. An example of this is just recently I came across the subfigure package and wanted to try it out. Soon after I found out from here that it has become superseded by the subfig package. I usually keep my TeX up-to-date because I like keeping up with new XeLaTeX features.

My question is, is there a map or timeline of what TeX packages should be avoided because there are better ways of doing things? An idea I have is some kind of list of all packages split by what they accomplish, then cancelling out packages whose features are incorporated into and improved upon by newer packages.

Edit: another example is lscape versus pdflscape. The latter implements rotating pages in the final PDF not just for pdftex but also for other drivers such as xetex. The only way I found out about this was Googling latex lscape rotate xelatex, for which the second link leads to the pdflscape texdoc (PDF).

Great answers so far. I'll check them out and see which one works best for me.

Edit 2: Turns out that my question is a bit of a dupe in the sense that a great answer came up on an unrelated question. The nag package apparently consults l2tabu and checks your document. Gotta try it!

share|improve this question
1  
Aye, nag is good package! –  N.N. Jun 7 '11 at 18:58

6 Answers 6

up vote 7 down vote accepted

Actually subfig isn't maintained anymore. I would use packages like »subcaption« (shipped with caption) or floatrow. A good list of obsolete packages and other outdated stuff can be found in l2tabu.

share|improve this answer
14  
"A good list of obsolete packages ... can be found in l2tabu.", which was last updated 2007. –  Juan A. Navarro Oct 8 '10 at 15:52
5  
The German version of this document is from 5 August 2010. –  Thorsten Donig Oct 8 '10 at 16:07
    
This is not true. As I believe Will pointed out elsewhere. –  TH. Apr 22 '11 at 1:30
    
@TH.: If you insist. Then please refer clearly to Will's statement or point out other sources which approve the opposite (instead of just voting down). For me subfig is not recommendable. –  Thorsten Donig Apr 22 '11 at 6:41
    
ctan Vafa Khalighi is the maintainer. I misattributed the statement. It was Stefan's. –  TH. Apr 22 '11 at 7:03

Here's a list of possibly obsolete packages and classes, and recommendable successors. It's not intended as a judgement – it's supposed to help in choosing packages or checking preambles. Readers can make their own decision based on the package documentation of the compared packages.

I took the list from my TeX blog where I started to maintain it some time ago, for sharing it here. It's in form of a list, since tables are not supported on SE posts. Feel free to suggest edits.

share|improve this answer
    
Is type1cm made obsolete by lmodern? –  Canageek Oct 6 '11 at 22:05
    
@Werner You did good; moreover, I believe that there are many versions of psfig around and rather different from one another. –  egreg May 5 '12 at 17:45
    
I suggest to add: algorithm: algorithm2e (fixed hyperref problems for me), and algorithmic: algorithmicx. –  mafp Feb 1 '13 at 15:47
    
What about xifthen? –  Lover of Structure Apr 13 '13 at 23:04
1  
Some additional obsolete packages, including one on your lists: times, nimbus, txfonts:tgtermes or newtx| mathptmx:newtxmath| helvet:tgheros| cm-super:lmodern or cfr-lm| avant:tgadventor| –  Canageek Dec 18 '13 at 0:06

If you search on the CTAN catalogue, many obsolete packages have notes pointing to the newer packages they have been superseded by. For the particular example of subfigure, its catalogue entry has to say:

This package is now obsolescent: new users should use subfig instead.

Whenever I find about a new package, I tend to have a look at CTAN before using it to watch out for any of these notes and also quickly browse through it's documentation.

share|improve this answer

The German-speaking forum mrunix.de includes a thread about obsolete LaTeX packages and their successors. Among others, subfig is listed as "Nachfolgepaket" (successor package) of subfigure.

share|improve this answer

I'd also like to point out that subscribing to the ctan-ann mailing list is a great way to learn about new packages (and new versions of them).

share|improve this answer

This document checker is quite old but helps perhaps with the most deprecated stuff.

I mean people are still using eqnarray and similar stuff even when several manuals list them as deprecated/problematic since decades.

Of course this does not help with your request for ongoing deprecation/supersede news.

share|improve this answer
    
I like this but it is ironic that it's quite old. If only this sort of tool could keep up with the German-speaking thread in lockstep's answer. –  fideli Oct 9 '10 at 1:02

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.